2002-11-16  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Add lvm.

2002-11-16  H.J. Lu <hjl@gnu.org>

	* commonk (RPM-ISA): New.
	(RPMFLAGS): Add $($(RPM-ISA)-RPMFLAGS).
	(NATIVE-RPMFLAGS): Add $(NATIVE-$(RPM-ISA)-RPMFLAGS).

2002-11-03  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add openssh.

2002-10-29  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Remove ypserv.

2002-10-25  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add ipmicmd.

2002-10-09  H.J. Lu <hjl@gnu.org>

	* Makefile (symclean): New. Remove symlinks.

2002-10-04  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add perl-Net-Telnet.

2002-10-04  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Add XFree86.
	(MODIFIED-PACKAGES): Add XFree86.

2002-10-03  H.J. Lu <hjl@gnu.org>

	* Makefile (prune.all): Removed.
	(prune.modified): Likewise.
	(prune): New. Remove unneeded symlinks.

2002-09-28  H.J. Lu <hjl@gnu.org>

	* Makefile (TOOLS-PACKAGES): Add e2fsprogs.
	(PACKAGES): Remove e2fsprogs. Add parted.

2002-09-27  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Remove open.

2002-09-27  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Remove wireless-tools and wvdial.

2002-09-26  H.J. Lu <hjl@gnu.org>

	* Makefile (TOOLS-PACKAGES): Put back freetype.

2002-09-26  H.J. Lu <hjl@gnu.org>

	* Makefile (TOOLS-PACKAGES): Remove libol.

2002-09-25  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add syslinux.

2002-09-25  H.J. Lu <hjl@gnu.org>

	* Makefile (TOOLS-PACKAGES): Remove freetype and mesalib.
	(MODIFIED-PACKAGES): Add acroread and licq.

	* common.mk (CODENAME): Define only if TOOLPREFIX is defined.
	(BASELINE-BUILD): Restore.
	(RPMFLAGS): Add --with default for baseline build.
	(NATIVE-RPMFLAGS): Likewise.
	(RPMFLAGS): Add --with via for i386/Via build.
	(NATIVE-RPMFLAGS): Likewise.
	(DONE.$(RPM-CPU).native): Use ../rpmrc.native instead of
	$(RPMRC).
	(DONE.$(RPM-CPU).native.rpm): Likewise.

2002-09-21  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add ctcs.

2002-09-20  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add cxterm-color.

2002-09-20  H.J. Lu <hjl@gnu.org>

	* common.mk (TIME): New. Set to /usr/bin/time by default.
	Replace time with $(TIME).

2002-09-19  H.J. Lu <hjl@gnu.org>

	* common.mk (unpack): Support NO_SOURCES.

2002-09-18  H.J. Lu <hjl@gnu.org>

	* common.mk (BASELINE-BUILD): Don't set BASELINE-BUILD to true.

2002-09-18  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add e2fsprogs.

2002-09-17  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add galeon and mozilla.

2002-09-15  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add parted.

2002-09-14  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add pam.

2002-09-13  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add pptp-linux.

2002-09-13  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add ypserv.

2002-09-12  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add quota. Remove portmap.

2002-09-10  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add portmap.

2002-09-05  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add mkbootdisk.

2002-09-03  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add ez-ipupdate.

2002-08-30  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add perl-DBD-Sybase, perl-DBI
	and ppp.

2002-08-28  H.J. Lu <hjl@gnu.org>

	* common.mk (RPMRC): New. Replace ../rpmrc and ../rpmrc.native.

2002-08-23  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add pxe.

2002-08-16  H.J. Lu <hjl@gnu.org>

	* Makefile (i386 i586 i686 mips mipsel): Updated.

2002-08-15  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add ntp.

2002-08-01  H.J. Lu <hjl@gnu.org>

	* Makefile (EXTRA-PACKAGES): Remove valgrind.
	(EXTRA-TOOLS-PACKAGES): Add valgrind.

2002-07-31  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add oprofile and valgrind.

2002-07-31  H.J. Lu <hjl@gnu.org>

	* Makefile (EXTRA-PACKAGES): Add valgrind.

2002-07-24  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add libelf.

2002-07-18  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add uudeview.

2002-07-17  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add modutils.

2002-07-15  H.J. Lu <hjl@gnu.org>

	* common.mk (TOOLTARGET): Use $(RPM-CPU) instead of $(RPM-ARCH).
	(RPMFLAGS): Likewise.
	(RPMFLAGS): Add "--without auxarches".

	* findrpm: Support i486, i586 and i686.

2002-07-04  H.J. Lu <hjl@gnu.org>

	* common.mk: Include site.mk if exists.

2002-07-03  H.J. Lu <hjl@gnu.org>

	* rpmmacros (_target_platform): Set to %{_target_prefix}-linux.

2002-06-26  H.J. Lu <hjl@gnu.org>

	* findrpm: Support source rpm.

2002-06-21  H.J. Lu <hjl@gnu.org>

	* Makefile (DEFAULT-PACKAGES): Define only if not defined.

2002-06-21  H.J. Lu <hjl@gnu.org>

	* Makefile (install): Bail out for error.
	(.DEFAULT): Likewise.

2002-06-21  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add tftp.

2002-06-20  H.J. Lu <hjl@gnu.org>

	* version.mk: New. Check RedHat version for baseline build.

	* Makefile ($(DO-NATIVE-PACKAGES)): Depend on version.
	($(DO-COMPLETE-PACKAGES)): Likewise.
	($(DO-MODIFIED-PACKAGES)): Likewise.
	(tools): Likewise.
	(version): Removed.
	(clone): Likewise.
	(packages): New target.
	Include version.mk.

	* Makefile.init (REDHAT-VERSION): Removed.
	(build): Depend on version.
	Include version.mk.

	* findrpm: Updated.

	* common.mk (install): Updated for new findrpm.
	(version): Removed.

2002-06-19  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Add tftp.

2002-06-17  H.J. Lu <hjl@gnu.org>

	* Makefile (TOOLS-PACKAGES): Add postgresql.

2002-06-17  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add hotplug.

2002-06-16  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add initscripts.

2002-05-20  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add zsh.

2002-05-18  H.J. Lu <hjl@gnu.org>

	* commonk (sources): Support REPLACEMENTS.

2002-05-15  H.J. Lu <hjl@gnu.org>

	* commonk (BUILD-MIPS2): New. Defined if not defined. Enable
	MIPS II if $(BASELINE-BUILD) is true.

2002-05-15  H.J. Lu <hjl@gnu.org>

	* Makefile (NATIVE-PACKAGES): Move tcsh and zsh to ...
	(PACKAGES): here.

2002-05-15  H.J. Lu <hjl@gnu.org>

	* Makefile (NATIVE-PACKAGES): Remove apache, mod_perl and
	mysql.

2002-05-15  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Add dummy-kernel.

2002-05-14  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Add elinks.

2002-05-14  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Add dosfstools, eject, pkgconfig,
	usermode and usbutils.

2002-05-13  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Add iproute.

2002-05-11  H.J. Lu <hjl@gnu.org>

	* common.mk (install): Update config files under lib/pkgconfig.

	* Makefile (TOOLS-PACKAGES): Add libuser.
	(PACKAGES): Remove pythonlib.
	(MODIFIED-PACKAGES): Add libtool.

2002-05-10  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Remove netcfg. Replace man-page with
	man-pages.

2002-05-09  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Add redhat-release.

2002-05-09  H.J. Lu <hjl@gnu.org>

	* common.mk: Cleanup target rpm flags.

2002-05-09  H.J. Lu <hjl@gnu.org>

	* Makefile (TOOLS-PACKAGES): Add pcre.

	* common.mk (BASELINE-BUILD): New. Set if not set.
	(MIPS-RPMFLAGS): Add --with mips2.
	(RPMFLAGS): Add --with crosscompile.

2002-05-09  H.J. Lu <hjl@gnu.org>

	* rpmmacros (_build_platform): New.
	(_host_platform): New.
	(configure): Export tools. Add --build=%{_build_platform}.

2002-05-08  H.J. Lu <hjl@gnu.org>

	* Makefile (TOOLS-PACKAGES): Add libcap.

2002-05-08  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Add automake15.

2002-05-07  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Add autoconf253.
	(MODIFIED-PACKAGES): Likewise.

2002-05-06  H.J. Lu <hjl@gnu.org>

	* rpmmacros (_gnu): New. Defined as %{nil}.
	(configure): Add --target and --host.

2002-05-02  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Remove ypbind.

2002-05-02  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add dejagnu.

2002-05-02  H.J. Lu <hjl@gnu.org>

	* Makefile (PACKAGES): Add busybox and hwdata. Remove mount.
	(MODIFIED-PACKAGES): Add hwdata and util-linux. Remove automake,
	initscripts, mount, nasm and zsh.

2002-05-01  H.J. Lu <hjl@gnu.org>

	* common.mk (CODENAME): New. Set to oxygen.
	(TOOLPREFIX): Add $(CODENAME) if necessary.

2002-05-01  H.J. Lu <hjl@gnu.org>

	* common.mk (DONE.$(RPM-CPU).native): Also pass
	$(NATIVE-$(RPM-CPU)-RPMFLAGS) to rpm.
	(DONE.$(RPM-CPU).native.rpm): Likewise.

2002-04-22  H.J. Lu <hjl@gnu.org>

	* common.mk (RPMTMPDIR): New. Defined if not defined.
	(RPMFLAGS): Add --define '_tmppath $(RPMTMPDIR)'.
	(NATIVE-RPMFLAGS): Likewise.

	* README: Mention RPMTMPDIR.

2002-04-21  H.J. Lu <hjl@gnu.org>

	* common.mk (srpm): New target.

2002-04-09  H.J. Lu <hjl@gnu.org>

	* common.mk (DEFAULT-PACKAGES): New. Depend on $(DEFAULT-TARGET).
	(clobber): Use $(DEFAULT-PACKAGES) instead of $(ALL-PACKAGES).

2002-04-05  H.J. Lu <hjl@gnu.org>

	* common.mk: Ignore $(SPEC) if $(GENERATED) contains $(SPEC).

2002-04-05  H.J. Lu <hjl@gnu.org>

	* common.mk (prepare): Fix the source rpm.
	(patch): Likewise.

2002-04-04  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add autofs, binutils, gdb and
	nfs-utils.
	(DEFAULT-TARGET): New. The default target. Set to all by default.

	* common.mk (RPMDIRS): Create all RPM directories needed. Replace
	rpmtop with $(RPMDIRS).
	(DEFAULT-TARGET): New. The default target. Set to rpm by default.
	(SOURCES): New.
	(sources): Depend on $(SOURCES).
	(tar): Removed.
	(pack): Removed.
	(srpm): Removed.

2002-03-31  H.J. Lu <hjl@gnu.org>

	* common.mk: Quit when the for loop fails inside.

2002-03-31  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Remove libtool.

2002-03-31  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Remove binutils. It is the only
	rpm built from the source rpm directly.

2002-03-31  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add binutils.

2002-03-28  H.J. Lu <hjl@gnu.org>

	* common.mk (sources): Support unpacking source rpm.

2002-03-22  H.J. Lu <hjl@gnu.org>

	* common.mk (PACK-VERSION): New. Defined as $(VERSION) if not
	defined.
	(pack): Pass VERSION=$(PACK-VERSION).

2002-02-07  H.J. Lu <hjl@gnu.org>

	* common.mk (vpath): Search %.tar.bz2 in $(SRPMS-DIR).
	(pack): New target.
	(sources): Fix 2 typos.

2002-02-03  H.J. Lu <hjl@gnu.org>

	* common.mk (vpath): Search %.tar.gz in $(SRPMS-DIR).
	(complete): Use $(MAKE) instead of make.
	($(NAME)-$(VERSION)-$(RELEASE).src.rpm): Support vpath.

2002-02-03  H.J. Lu <hjl@gnu.org>

	* common.mk (patch): Remove the original files.

2002-01-25  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Remove XFree86.

2002-01-24  H.J. Lu <hjl@gnu.org>

	* common.mk (sources): Use "cp -afL" instead of "cp -af" to
	copy source files.

2002-01-24  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add anaconda.

2002-01-24  H.J. Lu <hjl@gnu.org>

	* common.mk (complete): Also pass RPM-CPU=$$cpu.

2002-01-23  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add kernel.

2002-01-23  H.J. Lu <hjl@gnu.org>

	* common.mk (complete): Pass NATIVE-TARGET-RPMFLAGS= instead of
	RPM-CPU=.
	(DONE.$(RPM-CPU).native): Take $(NATIVE-TARGET-RPMFLAGS)
	instead of --target=$(RPM-CPU)
	(DONE.$(RPM-CPU).native.rpm): Likewise.

2002-01-23  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add mkinitrd and XFree86.

2002-01-23  H.J. Lu <hjl@gnu.org>

	* Makefile (MODIFIED-PACKAGES): Add nasm.

2002-01-23  H.J. Lu <hjl@gnu.org>

	* Makefile (TOOLS-PACKAGES): Add lockdev.
	(PACKAGES): Add wvdial.

	* common.mk (PATH): Set to $(TOOLPREFIX)/bin:$(PATH) and export
	it.

2001-12-21  H.J. Lu <hjl@gnu.org>

	* Makefile: Change all EXT3/ext3 to COMPLETE/complete.

	* common.mk (complete): New target.
	(DONE.$(RPM-CPU).native): Also pass --target=$(RPM-CPU) to rpm.
	(DONE.$(RPM-CPU).native.rpm): Likewise.
	(clobber): Also delete DONE.$(COMPLETE-CPU-$(RPM-CPU)).*
